Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
00520 Crash/Freeze Critical (emulation) Always Jan 30, 2008, 11:59 Jan 30, 2014, 17:33
Tester Scagazza View Status Public Platform MAME (Self-compiled)
Assigned To Resolution Fixed OS Windows XP
Status [?] Resolved Driver megaplay.cpp
Version 0.120 Fixed in Version 0.151 Build Normal
Summary 00520: mp_twc: When you start the game you see only a black screen.
Description When you start the game you see only a black screen.

Follow-up by Pugsy in 0.122u2: Just for info (probably of no real use though...)

I've traced it in both 0.101 and 0.122 and for some reason in the working version when it should hit 401a6 (or thereabouts?) it jumps back to the start at 000200, whilst in the non-working version it doesn't. If you BP 401a6 and then on it's first execution BPCLEAR and then PC=200 and continue it seems to work...and works again with no help even if you F3 it.

temp0 = 0 ;bp 401a6,temp0++==0,{PC=200;g}
Steps To Reproduce
Additional Information
Flags
Regression Version 0.105
Affected Sets / Systems mp_twc
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
3
User avatar
No.04252
Tafoid
Administrator
Apr 23, 2009, 17:24
Not sure what fixed this, but regression shows it's fixed as of 0.128u3.
User avatar
No.09649
M.A.S.H.
Senior Tester
Jul 14, 2013, 00:30
Black screen again since MAME 0.148u3.
User avatar
No.10216
Osso
Developer
Jan 30, 2014, 17:33
This seems fixed again from 0.151 onwards.